# sigc::const_volatile_limit_reference< T_type, true > Class Template Reference

const_volatile_limit_reference object for a class that derives from trackable. More...

Collaboration diagram for sigc::const_volatile_limit_reference< T_type, true >:
[legend]

List of all members.

## Public Member Functions
| const_volatile_limit_reference (const T_type& _A_target)
| Constructor.
const trackable& | visit () const
| Retrieve the entity to visit for visit_each().
const volatile T_type& | invoke () const
| Retrieve the reference.

## Detailed Description

### template <class T_type>
class sigc::const_volatile_limit_reference< T_type, true >

const_volatile_limit_reference object for a class that derives from trackable.

- T_type The type of the reference.

## Constructor & Destructor Documentation

template <class T_type >

sigc::const_volatile_limit_reference< T_type, true >::const_volatile_limit_reference | ( | const T_type & | _A_target | ) | `[inline]`

Constructor.

Parameters:

  | _A_target | The reference to limit.

## Member Function Documentation

template <class T_type >

const volatile T_type& sigc::const_volatile_limit_reference< T_type, true >::invoke | ( |  | ) | const`[inline]`

Retrieve the reference.

This is always a reference to the derived instance.

Returns:
  The reference.

template <class T_type >

const trackable& sigc::const_volatile_limit_reference< T_type, true >::visit | ( |  | ) | const`[inline]`

Retrieve the entity to visit for visit_each().

Depending on the template specialization, this is either a derived reference, or sigc::trackable& if T_type derives from sigc::trackable.

Returns:
  The reference.

The documentation for this class was generated from the following file:

- sigc++/limit_reference.h